* {
    padding: 0;
    margin: 0;
}

@font-face {
    font-family: 'Roboto';
    src: url('./Fonts/Roboto-Bold.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

body,
html {
    background-color: white;
    height: 100%;
    width: 100%;
    font-family: "Roboto";
}

.containers {
    padding: 10px;
    width: 100%;
    text-align: center;
    overflow: hidden;
    height: 100%;
}

.count {
    display: flex;
    align-items: center;
}

.list-container {
    width: 95%;
    height: 97%;
    max-width: 1000px;
    margin: 0 auto;
    overflow-y: auto;
}

body::-webkit-scrollbar {
    display: none;
}

.blockitem {
    width: 95%;
    margin: 40px auto;
    height: 20%;
    color: white;
    background-color: aqua;
    max-height: 350px;
    border-radius: 5px;
    position: relative;
    cursor: pointer;
}

.title {
    padding-top: 20px;
}

.outline {
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
}

.listtitle {
    font-weight: 700;
}

.title1 {
    font-size: xx-large;
}

.blockitem .main {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 100%;
    height: 100%;
    justify-content: space-around;
}

.backname {
    cursor: pointer;
}

.blockitem .main .sub {
    font-weight: 700;
    font-size: 17px;
}

.main-container {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
}

.blockitem .blocked {
    text-align: center;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    background: rgb(0, 0, 0, 0.5);
    align-items: center;
    justify-content: center;
}

.blocked>.right {
    margin-left: 7px
}

.right>.title {
    font-size: x-large;
}

body {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Old versions of Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
    /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

.resultpage {
    display: flex;
    text-align: left;
    align-items: center;
    height: 100%;
}

.resultpage .left {
    width: 100%;
    height: 100%;
    background: white;
    border-radius: 16px;
    border: 1px solid;
    padding: 7px;
    box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.5);
    color: whitesmoke;
    display: flex;
    align-items: center;
}

.resultpage .right {
    width: 100%;
    padding-left: 20px;
    height: 100%;
    display: grid;
    grid-template-rows: 10% 70% 20%;
}

h3 {
    font-weight: 600;
}

.res-buttons {
    display: flex;
    justify-content: space-around;
    margin: 5px;
}

.res-buttons .button {
    height: 40px;
    width: 33%;
    background-color: rgb(255, 245, 245);
    margin: 13px auto;
    text-align: center;
    border-color: black;
    border: 2px solid;
    display: flex;
    font-weight: 500;
    border-radius: 6px;
    cursor: pointer;
    justify-content: center;
    align-items: center;
}

.background {
    background-image: url(./Icons/back.jpeg);
}

.top-inner {
    display: flex;
    align-items: center;
}

.minus {
    margin-top: -12px;
}

.succedsed-text {
    margin-left: 5px;
}

.res-image {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    object-fit: contain;
}

.succesed {
    background-color: rgb(0, 0, 0, 0.6);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
}

.succesed-inner>.top {
    display: flex;
    align-items: end;
}

.resultpage .right span {
    height: 100%;
    overflow-y: auto;
}

.succesed-inner {
    text-align: left;
    width: 85%;
    margin: 0 auto;
    height: 100%;
    flex-direction: column;
    display: grid;
    grid-template-rows: 34% 45% 20%;
}

.img-container {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
}

.test-result {
    height: 50%;
    text-align: left;
}

.test-result h1 {
    margin-bottom: 2%;
    margin-top: 8%;
}

.img-container .test-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#audiobutton {
    width: 25px;
    cursor: pointer;
}

.img-test-container .test-img {
    width: 100%;
    display: flex;
    height: 100%;
    object-fit: cover;
}

.testpage {
    height: 100%;
    padding: 15px;
    overflow-y: auto;
    width: 100%;
}

.testpage::-webkit-scrollbar {
    display: none;
}

.testpage>.backbutton {
    text-align: left;
    margin-left: 1%;
    display: flex;
    justify-content: space-between;
    margin-right: 1%;
}

.testpage>.test-header {
    display: grid;
    width: 100%;
    grid-template-columns: auto 70px;
    margin-left: 1%;
    margin-right: 1%;
    justify-content: space-between;
    margin-bottom: 14px;
    text-align: left;
    margin-top: 5px;
    min-height: 12%;
}

.testpage>.test-header>.name {
    font-size: xx-large;
    font-weight: 600;
    display: flex;
    align-items: center;
}

.img-test-container {
    margin: 0 auto;
    width: 98%;
    height: 30%;
    display: flex;
    align-items: center;
}

.buttons-div {
    width: 100%;
    height: 35%;
    display: grid;
    grid-template-columns: 50% 50%;
}

.spantworows {
    grid-column: span 2;
}


.buttons-div .button {
    width: 95%;
    background-color: rgb(255, 245, 245);
    min-height: 70px;
    height: 60%;
    margin: 13px auto;
    border-color: black;
    border: 2px solid;
    display: flex;
    font-weight: 500;
    border-radius: 6px;
    cursor: pointer;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 500px),
(max-height: 700px) {
    .buttons-div {
        grid-template-columns: 100% !important;
        height: 50% !important;
        margin-top: 2px;
    }

    .buttons-div .button {
        height: 80% !important;
        margin: 3px auto !important;
    }

    .spantworows {
        grid-column: 1 !important;
    }

    .title1 {
        font-size: 17px;
    }

    .blockitem .main .sub {
        font-size: 12px;
    }

    .right>.title {
        font-size: 17px;
    }

    .right>.outline {
        font-size: 12px;
    }

    .testpage>.test-header>.name {
        font-size: 17px;
    }

    .minus {
        margin-top: 0px !important;
        font-size: 17px !important;
    }

    .succedsed-text {
        font-size: 12px;
    }

    .succesed-inner>.sub>.outline {
        font-size: 12px;
    }

    .succesed-inner {
        width: 95% !important;
    }
}

@media only screen and (max-width: 600px) {
    .resultpage {
        display: grid !important;
    }

    .resultpage .left {
        padding: 2% !important;
    }

    .resultpage .right {
        grid-template-rows: 25% !important;
        margin-top: 50px;
    }

    .test-result h1 {
        padding: 2% !important;
        margin-top: 0% !important;
    }

    .img-test-container {
        margin-bottom: 10px;
    }

    .test-result {
        height: 100%;
        overflow-y: auto;
    }

    .res-buttons div {
        font-size: 13px;
    }
}